<?
//header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=busqueda_docente.xls");

/*****************************************/
$o_ObjectBean = new DocenteBean();

//Grados
$o_DocenteSystemClass = new DocenteSystemClass(new GradoBean());
$a_Grado = $o_DocenteSystemClass->getGrado();
  
if($txtNombre       !=""){ $o_ObjectBean->setNombre($txtNombre); }
if($txtCodigo       !=""){ $o_ObjectBean->setCodigoDocente($txtCodigo); }
if($txtTipo         !=""){ $o_ObjectBean->setTipoAlumno($txtTipo); }
if($cboFacultad     !=""){ $o_ObjectBean->setFacultadDoc($cboFacultad); }
if($cboEspecialidad !=""){ $o_ObjectBean->setEspecialidadId($cboEspecialidad); }

$o_class = new DocenteBL();
$a_ObjectBean = $o_class->busquedaDocente($o_ObjectBean);
/*****************************************/

ViewResponse::getInstance()->setMethodAjax();

?>

      <table>
        <tr>
          <td>
            <table>
              <tr>
                <th>Nro</th>
                <th>Código</th>
                <th>Facultad</th>
                <th>Departamento</th>
                <th>Nombre</th>
                <th>Grado</th>
                <th>Correo</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr>
                <td><?=($i+1)?></td>
               
                <td><?=$o_objBean->getCodigoDocente() ?></td>
                 <td><?=$o_objBean->getFacultadDescrip() ?></td>
                <td><?=$o_objBean->getDepartamentoDescrip() ?></td>
                <td><?=$o_objBean->getNombre()?></td>
               
                <td><?php 
                      if($o_ObjectBean->getGradoId()){
                        foreach ($a_Grado as $iKey => $o_GradoBean){
                     		 if($o_GradoBean->getGradoId() == $o_ObjectBean->getGradoId() )echo $o_GradoBean->getGradoDescripcion();
                       } 
                      }else{
                        echo $o_objBean->getOtroGrado();
                      }?>
                </td>
                <td><?=$o_objBean->getMail()?></td>
              </tr>
              <? $i++;} ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
      </table>